<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackObj.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">TrackObj.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_track_data_8h_source.html">eicd/TrackData.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_track_state_8h_source.html">eicd/TrackState.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_tracker_hit_8h_source.html">eicd/TrackerHit.h</a>&quot;</code><br />
<code>#include &quot;podio/RelationRange.h&quot;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;podio/ObjBase.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TrackObj.h:</div>
<div class="dyncontent">
<div class="center"><img src="_track_obj_8h__incl.png" border="0" usemap="#eicd_2_track_obj_8h" alt=""/></div>
<map name="eicd_2_track_obj_8h" id="eicd_2_track_obj_8h">
<area shape="rect" id="node2" href="_track_data_8h.html" title="eicd/TrackData.h" alt="" coords="82,80,204,107"/>
<area shape="rect" id="node3" href="_track_state_8h.html" title="eicd/TrackState.h" alt="" coords="228,80,354,107"/>
<area shape="rect" id="node11" href="_tracker_hit_8h.html" title="eicd/TrackerHit.h" alt="" coords="544,80,667,107"/>
<area shape="rect" id="node4" href="_track_state_const_8h.html" title="eicd/TrackStateConst.h" alt="" coords="94,155,254,181"/>
<area shape="rect" id="node5" href="_track_state_obj_8h.html" title="eicd/TrackStateObj.h" alt="" coords="49,229,194,256"/>
<area shape="rect" id="node6" href="_track_state_data_8h.html" title="eicd/TrackStateData.h" alt="" coords="44,304,197,331"/>
<area shape="rect" id="node12" href="_tracker_hit_const_8h.html" title="eicd/TrackerHitConst.h" alt="" coords="472,155,630,181"/>
<area shape="rect" id="node13" href="_tracker_hit_obj_8h.html" title="eicd/TrackerHitObj.h" alt="" coords="502,229,645,256"/>
<area shape="rect" id="node14" href="_tracker_hit_data_8h.html" title="eicd/TrackerHitData.h" alt="" coords="569,304,720,331"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_track_obj_8h__dep__incl.png" border="0" usemap="#eicd_2_track_obj_8hdep" alt=""/></div>
<map name="eicd_2_track_obj_8hdep" id="eicd_2_track_obj_8hdep">
<area shape="rect" id="node2" href="_track_const_8h.html" title="eicd/TrackConst.h" alt="" coords="833,80,962,107"/>
<area shape="rect" id="node3" href="_track_8h.html" title="eicd/Track.h" alt="" coords="705,155,799,181"/>
<area shape="rect" id="node16" href="_track_collection_8h.html" title="eicd/TrackCollection.h" alt="" coords="1072,237,1224,263"/>
<area shape="rect" id="node17" href="_track_8cc.html" title="src/Track.cc" alt="" coords="969,326,1063,353"/>
<area shape="rect" id="node19" href="_track_const_8cc.html" title="src/TrackConst.cc" alt="" coords="813,326,944,353"/>
<area shape="rect" id="node20" href="_track_obj_8cc.html" title="src/TrackObj.cc" alt="" coords="781,237,896,263"/>
<area shape="rect" id="node4" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="427,229,605,271"/>
<area shape="rect" id="node5" href="_reconstructed_particle_const_8h.html" title="eicd/ReconstructedParticle\lConst.h" alt="" coords="173,319,352,360"/>
<area shape="rect" id="node6" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="294,408,485,435"/>
<area shape="rect" id="node7" href="_reconstructed_particle_8cc.html" title="src/ReconstructedParticle.cc" alt="" coords="470,579,661,606"/>
<area shape="rect" id="node8" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="763,483,941,524"/>
<area shape="rect" id="node10" href="_reconstructed_particle_const_8cc.html" title="src/ReconstructedParticle\lConst.cc" alt="" coords="5,572,179,613"/>
<area shape="rect" id="node12" href="_reconstructed_particle_obj_8cc.html" title="src/ReconstructedParticle\lObj.cc" alt="" coords="515,483,688,524"/>
<area shape="rect" id="node15" href="_vertex_obj_8cc.html" title="src/VertexObj.cc" alt="" coords="79,408,199,435"/>
<area shape="rect" id="node13" href="_vertex_8cc.html" title="src/Vertex.cc" alt="" coords="339,490,439,517"/>
<area shape="rect" id="node14" href="_vertex_const_8cc.html" title="src/VertexConst.cc" alt="" coords="181,490,315,517"/>
<area shape="rect" id="node9" href="_reconstructed_particle_collection_8cc.html" title="src/ReconstructedParticle\lCollection.cc" alt="" coords="985,572,1159,613"/>
<area shape="rect" id="node11" href="_vertex_collection_8cc.html" title="src/VertexCollection.cc" alt="" coords="773,579,931,606"/>
<area shape="rect" id="node18" href="_track_collection_8cc.html" title="src/TrackCollection.cc" alt="" coords="1139,326,1293,353"/>
</map>
</div>
</div>
<p><a href="_track_obj_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_obj.html">eic::TrackObj</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
